JUCE: juce::dsp::WaveShaper< FloatType, Function > Struct Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::dsp::WaveShaper< FloatType, Function > Struct Template Reference
juce_dsp » widgets

Applies waveshaping to audio samples as single samples or AudioBlocks. More...

`#include <juce_WaveShaper.h>`

## Public Member Functions
void | prepare (const ProcessSpec &) noexcept
| Called before processing starts.
template<typename SampleType >
SampleType JUCE_VECTOR_CALLTYPE | processSample (SampleType inputSample) const noexcept
| Returns the result of processing a single sample.
template<typename ProcessContext >
void | process (const ProcessContext &context) const noexcept
| Processes the input and output buffers supplied in the processing context.
void | reset () noexcept

## Public Attributes
Function | functionToUse

## Detailed Description

template<typename FloatType, typename Function = FloatType (*) (FloatType)>
struct juce::dsp::WaveShaper< FloatType, Function >

Applies waveshaping to audio samples as single samples or AudioBlocks.

## Member Function Documentation

## ◆ prepare()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>

void juce::dsp::WaveShaper< FloatType, Function >::prepare | ( | const ProcessSpec & |  | ) |
| noexcept

Called before processing starts.

## ◆ processSample()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>
template<typename SampleType >

SampleType JUCE_VECTOR_CALLTYPE juce::dsp::WaveShaper< FloatType, Function >::processSample | ( | SampleType | inputSample | ) | const
| noexcept

Returns the result of processing a single sample.

References juce::dsp::WaveShaper< FloatType, Function >::functionToUse.

## ◆ process()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>
template<typename ProcessContext >

void juce::dsp::WaveShaper< FloatType, Function >::process | ( | const ProcessContext & | context | ) | const
| noexcept

Processes the input and output buffers supplied in the processing context.

References juce::dsp::WaveShaper< FloatType, Function >::functionToUse, and juce::dsp::AudioBlock< SampleType >::process().

## ◆ reset()

template<typename FloatType , typename Function = FloatType (*) (FloatType)>

void juce::dsp::WaveShaper< FloatType, Function >::reset | ( |  | ) |
| noexcept

## Member Data Documentation

## ◆ functionToUse

template<typename FloatType , typename Function = FloatType (*) (FloatType)>

Function juce::dsp::WaveShaper< FloatType, Function >::functionToUse

Referenced by juce::dsp::WaveShaper< FloatType, Function >::process(), and juce::dsp::WaveShaper< FloatType, Function >::processSample().

The documentation for this struct was generated from the following file:

- juce_WaveShaper.h